import { makeRequest } from "./req_mgr";

export async function EditorPrefillRequest(host, tab, adminid, date) {
  return makeRequest(host + "?editor_data", {
    adminId: adminid,
    tab,
    day: date,
  });
}

export async function EditorPublishRequest(host, tab, adminid, date, newData) {
  return makeRequest(host + "?editor_publish", {
    adminId: adminid,
    tab,
    day: date,
    newData,
  });
}

export async function EditorRemoveRequest(host, tab, adminid, date) {
  return makeRequest(host + "?editor_fullitems_del", {
    adminId: adminid,
    tab,
    day: date,
  });
}
